html{
    scroll-behavior: smooth;
}
html ,body{
    margin: 0;
    padding: 0;
}
html *{
    box-sizing: border-box;
}
body{
    font-family: "Noto Sans JP", sans-serif;
    font-optical-sizing: auto;
    font-size: 0.8rem;
    color: rgb(50, 50, 50);
}
h1 ,h2 , h3, h4, p{
    margin: 0;
}
h1 ,h2{
    color: rgb(0, 0, 0);
}
ul ,ol ,dl ,dd{
    padding: 0;
    margin: 0;
}
ul li{
    list-style: none;
}
a{
    text-decoration: none;
    transition: all 0.3s;
    color: rgb(50, 50, 50);
}
.wrap a:hover{
    opacity: 0.6;
    transition: all 0.3s;
}
.pc-only{
    display: none;
}
.contact-link{
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.contact-link a{
    padding: 10px 20px;
    margin: 0 auto;
    width: 90%;
    border: solid 1px rgb(0, 0, 0);
    color: rgb(0, 0, 0);
    display: flex;
    gap: 5px;
    align-items: center;
    justify-content: center;
    transition: all 0.3s;
}
.contact-link a i{
    font-size: 1rem;
}
header a:hover{
    opacity: 0.6;
}
footer a:hover{
    opacity: 0.6;
}
header .contact-link a:hover{
    background: linear-gradient(90deg ,rgba(20, 122, 177, 0.3) ,rgba(21, 206, 128, 0.3) ,rgba(255, 255, 0 ,0.3));
    transition: all 0.3s;
    opacity: 1;
}
footer .contact-link a:hover{
    background: rgb(240, 240, 240);
    transition: all 0.3s;
    opacity: 1;
}
.sns-link{
    display: flex;
    gap: 50px;
    justify-content: center;
    margin: 40px 0 20px 0;
}
.sns-link a{
    color: rgb(0, 0, 0);
    font-size: 2rem;
}
.dl-link {
    display: block;
    text-align: center;
    margin: 0 auto;
    margin-top: 40px;
}
.comma{
    font-size: 0.6em;
    margin-left: -0.2em;
    display: inline-block;
}
/*--------------------------------------------
min-width 810
--------------------------------------------*/
@media (min-width: 810px) {
    .sp-only{
        display: none;
    }
    .pc-only{
        display: block;
    }
    .contact-link{
        flex-direction: row;
        justify-content: center;
    }
    .contact-link a{
        width: 390px;
        margin: 0;
    }
}
/*--------------------------------------------
min-width 1080
--------------------------------------------*/
@media (min-width: 1080px) {
    body{
        font-size: 0.9rem;
    }
}
/*--------------------------------------------

header

--------------------------------------------*/
header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9998;
    background: linear-gradient(rgba(255, 255, 255, 0.9) 20% ,rgba(255, 255, 255, 0.7) 40% ,rgba(255, 255, 255, 0) 100%);
    width: 100%;
    height: 60px;
    padding: 5px 15px 0 15px;
}
header .logo{
    display: flex;
    align-items: center;
    color: rgb(0, 0, 0);
    width: fit-content;
    gap: 10px;
    height: 50px;
    z-index: 2;
    font-size: 0.7rem;
}
header .logo img{
    width: auto;
    height: 40px;
}
/*hamburger*/
.hamburger{
    display: flex;
    flex-direction: column;
    gap: 10px;
    position: relative;
    z-index: 2;
}
.hamburger span{
    height: 2px;
    background: rgb(0, 0, 0);
    display: block;
    margin: 0 0 0 auto;
    transition: all 0.3s;
}
.hamburger span:nth-child(odd){
    width: 35px;
    transform-origin:0 50%;
}
.hamburger span:nth-child(even){
    width: 20px;
}
/*open*/
.open .hamburger span:first-of-type{
    animation: OpenRotateR 1s cubic-bezier(0.33, 1, 0.68, 1) forwards;
}
@keyframes OpenRotateR {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(45deg);
    }
}
.open .hamburger span:last-of-type{
    animation: OpenRotateL 1s cubic-bezier(0.33, 1, 0.68, 1) forwards;
}
@keyframes OpenRotateL {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(-45deg);
    }
}
.open .hamburger span:nth-child(even){
    animation: OpenNone 1s cubic-bezier(0.33, 1, 0.68, 1) forwards;
}
@keyframes OpenNone {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}
/*close*/
.close .hamburger span:first-of-type{
    animation: CloseRotateR 1s cubic-bezier(0.33, 1, 0.68, 1) forwards;
}
@keyframes CloseRotateR {
    0% {
        transform: rotate(45deg);
    }
    100% {
        transform: rotate(0);
    }
}
.close .hamburger span:last-of-type{
    animation: CloseRotateL 1s cubic-bezier(0.33, 1, 0.68, 1) forwards;
}
@keyframes CloseRotateL {
    0% {
        transform: rotate(-45deg);
    }
    100% {
        transform: rotate(0);
    }
}
.close .hamburger span:nth-child(even){
    animation: CloseOne 1s cubic-bezier(0.33, 1, 0.68, 1) forwards;
}
@keyframes CloseOne {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
/*header-menu-content*/
.header-menu-content{
    width: 100%;
    height: 100vh;
    height: 100dvh;
    background: linear-gradient(90deg, rgb(217, 243, 254) ,rgb(217, 248, 234) ,rgb(255, 255, 224));
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
    overflow-y: scroll;
    padding: calc(5% + 60px) 5% 5% 5%;
    display: flex;
    flex-direction: column;
    gap: 50px;
    align-items: center;
    transform: translateX(100%);
    z-index: 1;
    opacity: 0;
}
.header-menu-content::before{
    content: "";
    background: linear-gradient(90deg, rgb(217, 243, 254) ,rgb(217, 248, 234) ,rgb(255, 255, 224));
    width: 100%;
    height: 65px;
    position: fixed;
    z-index: 3;
    top: 0;
    left: 0;
}
.header-menu-content a{
    transition: all 0.3s;
}
nav.open .header-menu-content{
    animation: OpenMenu 1s cubic-bezier(0.33, 1, 0.68, 1) forwards;
}
@keyframes OpenMenu {
    0% {
        transform: translateX(100%);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;

    }
}
nav.close .header-menu-content{
    animation: CloseMenu 1s cubic-bezier(0.33, 1, 0.68, 1) forwards;
}
@keyframes CloseMenu {
    0% {
        transform: translateX(0);
        opacity: 1;
    }
    100% {
        transform: translateX(100%);
        opacity: 0;
    }
}
.header-menu-content a{
    color: rgb(0, 0, 0);
    font-weight: 300;
}
/*header-menu-top*/
.header-menu-top{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 20px;
    width: 90%;
    margin-top: 10%;
}
.header-menu-top li{
    width: calc((100% - 30px) / 2);
}
.header-menu-top li a{
    position: relative;
    padding-left: 20px;
    line-height: 1em;
    letter-spacing: 0.1em;
    text-indent: 0.1em;
    font-size: 0.7rem;
}
.header-menu-top li a:before{
    content: "";
    background: rgb(0, 0, 0);
    height: 0.5px;
    width: 15px;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
}
/*header-menu-center*/
.header-menu-center{
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.header-menu-center a{
    display: flex;
    width: 100%;
    align-items: center;
}
.header-menu-center a img{
    width: 100px;
    aspect-ratio: 1 / 1;
    object-fit: cover;
}
.header-menu-center a dl{
    letter-spacing: 0.1em;
    text-indent: 0.1em;
}
.header-menu-center a dl dt{
    position: relative;
    padding-bottom: 20px;
    font-size: 0.7rem;
}
.header-menu-center a dl dt::before{
    content: "";
    width: 150px;
    height: 1px;
    background: rgb(0, 0, 0);
    position: absolute;
    bottom: 10px;
    left: 0;
}
.header-menu-center a dl dt,
.header-menu-center a dl dd{
    margin-left: 20px;
}
.header-menu-center a dl dd{
    line-height: 1.8em;
}
/*header-menu-bottom*/
.header-menu-bottom{
    width: 100%;
    margin-bottom: 20%;
}
.header-menu-bottom .sns-link a{
    border: solid 1px rgb(0, 0, 0);
    width: 50px;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    transition: all 0.3s;
}
.header-menu-bottom .sns-link a:hover{
    background: linear-gradient(45deg ,rgba(20, 122, 177, 0.3) ,rgba(21, 206, 128, 0.3) ,rgba(255, 255, 0 ,0.3));
    transition: all 0.3s;
    opacity: 1;
}
/*--------------------------------------------
min-width 550
--------------------------------------------*/
@media (min-width: 550px) {
    .header-menu-top li{
        text-align: center;
    }
}
/*--------------------------------------------
min-width 810
--------------------------------------------*/
@media (min-width: 810px) {
    header{
        height: 90px;
        padding: 10px 20px;
    }
    .header-menu-content{
        justify-content: center;
        overflow: hidden;
        padding: calc(5% + 70px) 5% 5% 5%;
        transform: translateY(-100%);
    }
    .header-menu-content::before{
        height: 75px;
    }
    @keyframes OpenMenu {
        0% {
            transform: translateY(-100%);
            opacity: 0;
        }
        100% {
            transform: translateY(0);
            opacity: 1;
        }
    }
    @keyframes CloseMenu {
        0% {
            transform: translateY(0);
            opacity: 1;
        }
        100% {
            transform: translateY(-100%);
            opacity: 0;
        }
    }
    /*header-menu-top*/
    .header-menu-top{
        gap: 15px 120px;
        margin-top: 0;
    }
    .header-menu-top li{
        width: fit-content;
    }
    /*header-menu-center*/
    .header-menu-center{
        flex-wrap: wrap;
        flex-direction: row;
    }
    .header-menu-center li{
        width: calc((90% - 20px) / 2);
    }
    .header-menu-center li a{
        justify-content: center;
    }
    /*header-menu-bottom*/
    .header-menu-bottom{
        margin-bottom: 0;
    }
    .header-menu-center a dl dd{
        width: 15em;
    }
}
/*--------------------------------------------
min-width 1080
--------------------------------------------*/
@media (min-width: 1080px) {
    .header-menu-content{
        padding: calc(5% + 50px) calc((100% - 1080px) / 2) 5% calc((100% - 1080px) / 2);
    }
}
/*--------------------------------------------
min-height 850
--------------------------------------------*/
@media (min-height: 850px) {
    .header-menu-content{
        gap: 90px;
    }
}
/*--------------------------------------------

footer

--------------------------------------------*/
footer{
    overflow: hidden;
    padding: 20% 0;
    background: rgb(255, 255, 255);
}
footer h2{
    font-weight: 700;
    font-style: normal;
    font-size: 20vw;
    transform: scale(0.9, 1);
    white-space: nowrap;
    text-align: center;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 1em;
    margin-bottom: 10px;
}
footer .shop-name{
    text-align: center;
    padding-bottom: 20px;
    position: relative;
}
footer .shop-name::before{
    content: "";
    background: linear-gradient(90deg, rgb(255, 255, 255) 0%, rgb(0, 0, 0) 50%, rgb(255, 255, 255) 100%);
    width: 50%;
    height: 1px;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
}
footer ul{
    display: flex;
    flex-wrap: wrap;
    gap: 15px 10px;
    padding: 50px 5%;
}
@media (min-width: 389px) {
    footer ul{
        padding: 50px 10%;
    }
}
footer ul li{
    width: calc((100% - 10px) / 2);
}
footer ul li a{
    width: 100%;
    display: block;
    font-size: 0.7rem;
    color: rgb(0, 0, 0);
}
footer .copy{
    text-align: center;
}
/*--------------------------------------------
min-width 810
--------------------------------------------*/
@media (min-width: 810px) {
    footer{
        padding: 10% 0;
    }
    footer h2{
        font-size: 10rem;
    }
    footer ul{
        justify-content: center;
        gap: 15px 50px;
    }
    footer ul li{
        width: fit-content;
    }
}
/*--------------------------------------------
min-width 1080
--------------------------------------------*/
@media (min-width: 1080px) {
    footer{
        padding: 5% calc((100% - 1080px) / 2);
    }
}

/*--------------------------------------------

bottom-menu

--------------------------------------------*/
.bottom-menu{
    background: linear-gradient(90deg ,rgba(20, 122, 177, 0.6) ,rgba(21, 206, 128, 0.6) ,rgba(255, 255, 0 ,0.6));
    position: fixed;
    width: 100%;
    height: 70px;
    bottom: 0;
    z-index: 999;
    color: rgb(255, 255, 255);
    transition: transform 0.5s ease;
}
/* @media (min-width: 810px) {
    .bottom-menu {
        left: 0;
        transform: translateX(-100%);
    }
} */
.bottom-menu{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
.bottom-menu .menu-left{
    display: flex;
    flex-direction: column;
    align-items: center;
    border: solid 1px rgb(255, 255, 255);
    width: 55px;
    height: 55px;
    justify-content: center;
    text-shadow: 0 0 4px rgb(2, 100, 161);
}
.bottom-menu .menu-left strong{
    font-size: 1.1rem;
    font-weight: 300;
    line-height: 1em;
}
.bottom-menu .menu-center{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-shadow: 0 0 4px rgb(2, 150, 161);
}
.bottom-menu .menu-center span{
    font-size: 1.5rem;
    line-height: 1em;
}
.bottom-menu .menu-center small{
    font-size: 0.7rem;
    line-height: 1.3em;
}
.bottom-menu .menu-right{
    display: flex;
    gap: 5px;
}
.bottom-menu .menu-right .menu-button{
    border: solid 1px rgb(255, 255, 255);
    border-radius: 100px;
    height: 55px;
    color: rgba(0, 0, 0, 0.8);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 10px;
    line-height: 1.2em;
    text-shadow: 0 0 2px rgba(2, 161, 133, 0.5);
    box-shadow: 0 0 6px rgb(2, 161, 133);
    background: rgb(255, 255, 255);
    font-weight: 500;
}
.bottom-menu .menu-right .menu-button p{
    font-size: 1rem;
}
.bottom-menu .menu-right .menu-button img{
    height: 30px;
    width: auto;
}
.bottom-menu .menu-right .menu-button.line{
    flex-direction: row;
    gap: 5px;
    text-shadow: 0 0 2px rgba(76, 161, 2, 0.5);
    box-shadow: 0 0 6px rgb(80, 171, 0);
}


/*--------------------------------------------
min-width 810
--------------------------------------------*/
@media (min-width: 810px) {
    .bottom-menu{
        width: fit-content;
        bottom: 5%;
        border-radius: 0 100px 100px 0;
        padding: 10px 10px 10px 20px;
    }
}

/*--------------------------------------------

loading

--------------------------------------------*/
#loading{
    width: 100vw;
    width: 100svw;
    height: 100vh;
    height: 100dvh;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transition: opacity 0.5s ease-out;
    z-index: 9999;
    background: rgb(255, 255, 255);

}
#loading img{
    width: 180px;
    height: auto;
    object-fit: contain;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
}
.loading-out {
    opacity: 0;
}
/*--------------------------------------------
min-width 810
--------------------------------------------*/
@media (min-width: 810px) {
    #loading img{
        width: 280px;
    }
}